Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357567 - Need to publish latest version of Defensive Coding Guide
Summary: Need to publish latest version of Defensive Coding Guide
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: defensive-coding-guide
Version: devel
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Zach Oglesby
QA Contact: Fedora Docs QA
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 14:04 UTC by Eric Christensen
Modified: 2017-03-09 07:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 17:26:39 UTC


Attachments (Terms of Use)

Description Eric Christensen 2016-07-18 14:04:08 UTC
Can we get the latest version of the Defensive Coding Guide published?  I don't think it's been updated since the Publican toolchain broke.

Comment 1 Florian Weimer 2016-07-18 14:09:08 UTC
(In reply to Eric Christensen from comment #0)
> Can we get the latest version of the Defensive Coding Guide published?  I
> don't think it's been updated since the Publican toolchain broke.

Are the instructions in the Fedora Documentation Guide still up-to-date?

Comment 2 Eric Christensen 2016-07-18 14:49:15 UTC
Source is now available at: https://pagure.io/defensive-coding-guide

Comment 3 Eric Christensen 2016-07-18 14:50:50 UTC
(In reply to Florian Weimer from comment #1)
> Are the instructions in the Fedora Documentation Guide still up-to-date?

Based on the Copyright date and the authors listed on that document I'm going to go with a "no".

Comment 4 Zach Oglesby 2016-07-18 15:27:31 UTC
(In reply to Florian Weimer from comment #1)
> (In reply to Eric Christensen from comment #0)
> > Can we get the latest version of the Defensive Coding Guide published?  I
> > don't think it's been updated since the Publican toolchain broke.
> 
> Are the instructions in the Fedora Documentation Guide still up-to-date?

Not so much, but we will work on getting this published.

Comment 8 Nikos Mavrogiannopoulos 2016-08-04 06:29:41 UTC
Hi Zach, how soon can we have this updated? Can we have this generation automated from the upstream repository so we do not have long delays in the next updates?

Comment 9 Eric Christensen 2016-09-13 13:07:01 UTC
Any update on this?

Comment 10 Eric Christensen 2017-03-08 17:26:39 UTC
I think we're going to try to get this rendered under the Red Hat brand since we're using it for our customers.  Obviously, feel free to render it as Fedora if you wish in the future.


Note You need to log in before you can comment on or make changes to this bug.